Foreman - Bug #6825

refactor api/v2/filters_controller.rb to use find_optional_nested_object and add Authorizable to class
Role

07/29/2014 03:47 PM - Joseph Magen

Status: Closed
Priority: Normal
Assignee: Joseph Magen
Category: API
Target version: 1.6.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1630
Description

after refactoring filters_controller to use find_optional_nested_object, it was discovered that Role doesn't respond to #authorized
method, so include Authorizable needs to be added to role.rb

This is commit was need for tests to pass in PR #4181

Related issues:
Related to Foreman - Bug #14182: Roles index does not use authorize scope Closed 03/14/2016

Associated revisions

Revision 39054ec4 - 08/01/2014 11:13 AM - Joseph Magen

fixes #6825 - refactor api/v2/filters_controller.rb to use find_optional_nested_object and add Authorizable to class Role

History

#1 - 07/29/2014 03:55 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1630 added
- Pull request deleted ()

#2 - 07/30/2014 06:51 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#3 - 08/01/2014 11:10 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#4 - 08/01/2014 12:02 PM - Joseph Magen
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 39054ec4c28c35e30874245dd7820bf4f0228583.

#5 - 08/08/2014 07:33 AM - Yama Kasi

This fix doesn't work on 1.5.2 ?

It seems to remain.

#6 - 08/08/2014 07:41 AM - Dominic Cleal

Yama Kasi wrote:

This fix doesn't work on 1.5.2 ?
https://projects.theforeman.org/issues/4181
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/39054ec4c28c35e30874245dd7820bf4f0228583

It seems to remain.

Huh? | think you have the wrong ticket.

#7 - 08/08/2014 07:51 AM - Yama Kasi

Dominic Cleal wrote:
Yama Kasi wrote:
This fix doesn't work on 1.5.2 ?

It seems to remain.

Huh? | think you have the wrong ticket.

Nudik pointed me to this and indeed it happens on 1.5.2 (too)!

#8 - 03/14/2016 08:09 AM - Marek Hulan

- Related to Bug #14182: Roles index does not use authorize scope added
